<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/test/Transport/MockMimeResponseSink.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_2df864b0a635213c7e15391c7fd2f9dc.html">test</a></li><li class="navelem"><a class="el" href="dir_533d2869dc4e8069af67bd5b3d31045b.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockMimeResponseSink.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_mime_response_sink_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_ACL_TEST_TRANSPORT_MOCKMIMERESPONSESINK_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_ACL_TEST_TRANSPORT_MOCKMIMERESPONSESINK_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;gtest/gtest.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_h_t_t_p2_mime_response_sink_interface_8h.html">AVSCommon/Utils/HTTP2/HTTP2MimeResponseSinkInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>acl {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">MockMimeResponseSink</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html">avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a> {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ae1576d11e0fb708f8bcec6fa03ff38a3">MockMimeResponseSink</a>();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a18ff578ef1913d7fc44895c54f367b7b">~MockMimeResponseSink</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a70fb176df84f1e2f573c62ca7c203a0f">onReceiveResponseCode</a>(<span class="keywordtype">long</span> responseCode) <span class="keyword">override</span>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a53181028bd57ff289e15db1dea18caaa">onReceiveHeaderLine</a>(<span class="keyword">const</span> std::string&amp; line) <span class="keyword">override</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a3ac99d80743484568d57e3e0b44af594">onBeginMimePart</a>(<span class="keyword">const</span> std::multimap&lt;std::string, std::string&gt;&amp; headers) <span class="keyword">override</span>;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">avsCommon::utils::http2::HTTP2ReceiveDataStatus</a> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a498a1bc466eaca65378dc8b90e955c57">onReceiveMimeData</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* bytes, <span class="keywordtype">size_t</span> size) <span class="keyword">override</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ab667924a84983b56622b343fcb1bb6f9">onEndMimePart</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">avsCommon::utils::http2::HTTP2ReceiveDataStatus</a> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ab6f273e3a315a538d3eb75f0760993aa">onReceiveNonMimeData</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* bytes, <span class="keywordtype">size_t</span> size) <span class="keyword">override</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ae329cf1e7bb1e1c11501557f6f0763b1">onResponseFinished</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">avsCommon::utils::http2::HTTP2ResponseFinishedStatus</a> status) <span class="keyword">override</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    std::vector&lt;char&gt; <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a7ccbc413cd213d8b4c42a77656a83030">getMimePart</a>(<span class="keywordtype">unsigned</span> part);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">unsigned</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#adcf3d303778df5c47d4dd27ea98f7e6f">getCountOfMimeParts</a>();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    std::vector&lt;std::vector&lt;char&gt;&gt; m_mimeContents;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    std::vector&lt;char&gt; m_mimeCurrentContent;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;};</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}  <span class="comment">// namespace acl</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* ALEXA_CLIENT_SDK_ACL_TEST_TRANSPORT_MOCKMIMERESPONSESINK_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_ae329cf1e7bb1e1c11501557f6f0763b1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ae329cf1e7bb1e1c11501557f6f0763b1">alexaClientSDK::acl::test::MockMimeResponseSink::onResponseFinished</a></div><div class="ttdeci">void onResponseFinished(avsCommon::utils::http2::HTTP2ResponseFinishedStatus status) override</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:59</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_ab667924a84983b56622b343fcb1bb6f9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ab667924a84983b56622b343fcb1bb6f9">alexaClientSDK::acl::test::MockMimeResponseSink::onEndMimePart</a></div><div class="ttdeci">bool onEndMimePart() override</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:48</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a></div><div class="ttdef"><b>Definition:</b> HTTP2MimeResponseSinkInterface.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_ab6f273e3a315a538d3eb75f0760993aa"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ab6f273e3a315a538d3eb75f0760993aa">alexaClientSDK::acl::test::MockMimeResponseSink::onReceiveNonMimeData</a></div><div class="ttdeci">avsCommon::utils::http2::HTTP2ReceiveDataStatus onReceiveNonMimeData(const char *bytes, size_t size) override</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:53</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_a498a1bc466eaca65378dc8b90e955c57"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a498a1bc466eaca65378dc8b90e955c57">alexaClientSDK::acl::test::MockMimeResponseSink::onReceiveMimeData</a></div><div class="ttdeci">avsCommon::utils::http2::HTTP2ReceiveDataStatus onReceiveMimeData(const char *bytes, size_t size) override</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:39</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html">alexaClientSDK::acl::test::MockMimeResponseSink</a></div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_a53181028bd57ff289e15db1dea18caaa"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a53181028bd57ff289e15db1dea18caaa">alexaClientSDK::acl::test::MockMimeResponseSink::onReceiveHeaderLine</a></div><div class="ttdeci">bool onReceiveHeaderLine(const std::string &amp;line) override</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:30</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_a70fb176df84f1e2f573c62ca7c203a0f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a70fb176df84f1e2f573c62ca7c203a0f">alexaClientSDK::acl::test::MockMimeResponseSink::onReceiveResponseCode</a></div><div class="ttdeci">bool onReceiveResponseCode(long responseCode) override</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:26</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_a3ac99d80743484568d57e3e0b44af594"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a3ac99d80743484568d57e3e0b44af594">alexaClientSDK::acl::test::MockMimeResponseSink::onBeginMimePart</a></div><div class="ttdeci">bool onBeginMimePart(const std::multimap&lt; std::string, std::string &gt; &amp;headers) override</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:34</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_a18ff578ef1913d7fc44895c54f367b7b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a18ff578ef1913d7fc44895c54f367b7b">alexaClientSDK::acl::test::MockMimeResponseSink::~MockMimeResponseSink</a></div><div class="ttdeci">virtual ~MockMimeResponseSink()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_a7ccbc413cd213d8b4c42a77656a83030"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#a7ccbc413cd213d8b4c42a77656a83030">alexaClientSDK::acl::test::MockMimeResponseSink::getMimePart</a></div><div class="ttdeci">std::vector&lt; char &gt; getMimePart(unsigned part)</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:62</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_html_a31cdf3a4381c8885296ba2097263282e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseFinishedStatus</a></div><div class="ttdeci">HTTP2ResponseFinishedStatus</div><div class="ttdef"><b>Definition:</b> HTTP2ResponseFinishedStatus.h:29</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_adcf3d303778df5c47d4dd27ea98f7e6f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#adcf3d303778df5c47d4dd27ea98f7e6f">alexaClientSDK::acl::test::MockMimeResponseSink::getCountOfMimeParts</a></div><div class="ttdeci">unsigned getCountOfMimeParts()</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:66</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink_html_ae1576d11e0fb708f8bcec6fa03ff38a3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_mime_response_sink.html#ae1576d11e0fb708f8bcec6fa03ff38a3">alexaClientSDK::acl::test::MockMimeResponseSink::MockMimeResponseSink</a></div><div class="ttdeci">MockMimeResponseSink()</div><div class="ttdef"><b>Definition:</b> MockMimeResponseSink.cpp:22</div></div>
<div class="ttc" id="_h_t_t_p2_mime_response_sink_interface_8h_html"><div class="ttname"><a href="_h_t_t_p2_mime_response_sink_interface_8h.html">HTTP2MimeResponseSinkInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_html_a39abd31bf23bf92ff2e646bb2f385d95"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">alexaClientSDK::avsCommon::utils::http2::HTTP2ReceiveDataStatus</a></div><div class="ttdeci">HTTP2ReceiveDataStatus</div><div class="ttdef"><b>Definition:</b> HTTP2ReceiveDataStatus.h:28</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
